Qore PgsqlSqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Groups Pages
Public Attributes | List of all members
PgsqlSqlUtil::PgsqlTriggerFunction Class Reference

represents a PostgreSQL-specific trigger function More...

Inheritance diagram for PgsqlSqlUtil::PgsqlTriggerFunction:
[legend]

## Public Attributes
string | trigger
| trigger name

## Additional Inherited Members
Public Member Functions inherited from PgsqlSqlUtil::PgsqlFunction
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the function in the database
string | getDropSql ()
| returns a string that can be used to drop the function from the database
softlist | getRenameSql (string new_name)
| returns a string that can be used to rename the function in the database
| setName (string new_name)
| sets the new name of the function

## Detailed Description

represents a PostgreSQL-specific trigger function